/**
  * Main.java
  * main que utiliza las clases que heredan de clases abstractas para mostrar su funcionamiento
  * @author  Erick Santillan
  * @version  Marzo 2010
  */

public class Main{

	 /** Mtodo Principal
	  *
      */
   public static void main(String[] pps){

      Reaseguro[] lista = new Reaseguro[4];             //Lista de cualquier tipo de resaseguro
      System.out.print("--------------------------------------------------\n");
      System.out.print("Creando Cuota Aparte \n");
	  lista[0]= new CuotaAparte(15000000,1000);         //Objeto CuotaAparte
      System.out.print("--------------------------------------------------\n");
      System.out.print("Creando PorExcedente \n");
	  lista[1] = new PorExcedente(15000000,1000);       //Objeto PorExcedente
	  System.out.print("--------------------------------------------------\n");
	  System.out.print("Creando Working Cover \n");
	  lista[2] = new WorkingCover(15000000,1000);       //Objeto WorkingCover
	  System.out.print("--------------------------------------------------\n");
	  System.out.print("Creando Perdida Ctastrofica \n");
	  lista[3] = new PerdidaCatastrofica(15000000,1000); //Objeto PerdidaCatastrofica

      //Imprimir caracteristicas de los reaseguros
	  System.out.print("--------------------------------------------------\n");
	  System.out.print("Cuota Aparte:  Riesgo reasegurado= "+lista[0].obtenerCSR()+" Prima cedida= "+lista[0].obtenerCPR()+"\n");
	  System.out.print("Por Excedente:  Riesgo reasegurado= "+lista[1].obtenerCSR()+" Prima cedida= "+lista[1].obtenerCPR()+"\n");
	  System.out.print("Working Cover:  Riesgo reasegurado= "+lista[2].obtenerCSR()+" Prima cedida= "+lista[2].obtenerCPR()+"\n");
      System.out.print("Perdida Catastrofica:  Riesgo reasegurado= "+lista[3].obtenerCSR()+" Prima cedida= "+lista[3].obtenerCPR()+"\n");
   }
}//Fin de la Clase