/**
  * PerdidaCatastrofica.java
  * @author  Erick Santillan
  * @version  Marzo 2010
  */

import java.util.Scanner;
public  class PerdidaCatastrofica extends NoProporcional{

     /** Constructor con parametros
      *@param sas - Cantidad total que se asegura
      *@param ps - Prima total que se paga por cubrir el riesgo del seguro
      */
      public PerdidaCatastrofica(double sas, double ps){
		  super(sas,ps);
		  proporcionSiniestro=calculoProporcionSiniestro();
		  proporcionPrima=calculoProporcionPrima();
		  cantidadSiniestroReaseguro = calculoSiniestroReaseguro();
	      cantidadPrimaReaseguro = calcularPrimaReaseguro();
	 }

     /** Determina la proporcion para el siniestro
      *@return double - proporcion
      */
      public double calculoProporcionSiniestro(){
		  Scanner lectura = new Scanner(System.in);
		  double proporcion = 0;
		  double prioridad=0;
		  do{
		  System.out.print("Cual es la prioridad a cubrir de los riesgos especificada en el contrato de Reaseguro para este tipo de seguro?");
		  prioridad = lectura.nextDouble();
		  double temporal = 0;
		  if(sumaAseguradaSeguro>prioridad){
                 temporal = sumaAseguradaSeguro-prioridad;
	      }
	      proporcion = temporal / sumaAseguradaSeguro;
		 }while(proporcion<0 || proporcion >1);
		  return proporcion;
	  }

}//Fin de la Clase