/**
  * WorkingCover.java
  * @author  Erick Santillan
  * @version  Marzo 2010
  */
import java.util.Scanner;
public  class WorkingCover extends NoProporcional{

     /** Constructor con parametros
      *@param sas - Cantidad total que se asegura
      *@param ps - Prima total que se paga por cubrir el riesgo del seguro
      */
      public WorkingCover(double sas, double ps){
		  super(sas,ps);
		  proporcionSiniestro=calculoProporcionSiniestro();
		  proporcionPrima=calculoProporcionPrima();
		  cantidadSiniestroReaseguro = calculoSiniestroReaseguro();
	      cantidadPrimaReaseguro = calcularPrimaReaseguro();
	 }

     /** Determina la proporcion para el siniestro
      *@return double - proporcion
      */
      public double calculoProporcionSiniestro(){
		  Scanner lectura = new Scanner(System.in);
		  double proporcion = 0;
		  double coberturaMaxima=0;
		  double excedente=0;
		  do{
		  System.out.print("Cual es la cobertura maxima por riesgo especificada en el contrato de Reaseguro para este tipo de seguro?");
		  coberturaMaxima = lectura.nextDouble();
		  System.out.print("Cual es el excedente sobre el que se reasegura especificado en el contrato de Reaseguro para este tipo de seguro?");
		  excedente = lectura.nextDouble();
		  double temporal = 0;
		  if(sumaAseguradaSeguro>excedente){
		      if(sumaAseguradaSeguro<coberturaMaxima)
		         temporal = sumaAseguradaSeguro - excedente;
		      else
                 temporal = coberturaMaxima-excedente;
	      }
	      proporcion = temporal / sumaAseguradaSeguro;
		 }while(proporcion<0 || proporcion >1);
		  return proporcion;
	  }


}//Fin de la Clase