
/**
  * Hanoi.java
  * Mtod para ejemplicar recursion para la solucion de las torres de Hanoi
  * @author  Erick Santillan
  * @version  Marzo 2010
  */

import java.util.Scanner;
public class Hanoi{

    /** Metodo Principal
     */
   public static void main(String[] args){
          Scanner io = new Scanner(System.in);
          System.out.println("Cuantos discos se tienen?");
          int discos = io.nextInt();
          H(discos,'A','B','C');

   }

    /** Metodo para imprimir la secuencia para mover la cantidad de discos del origen al destino, indicando tambien la torre auxiliar
     *@param discos - Cantidad de discos a mover
     *@param origen - representacion de la torre origen
     *@param destino - representacion de la torre destino
     *@param auxiliar - representacion de la torre auxiliar
     */
   static void H(int discos, char origen, char destino, char auxiliar){
	       if(discos==1)
	            System.out.println(origen+"-->"+destino);
	       else{
			   H(discos-1,origen,auxiliar,destino);
			   System.out.println(origen+"-->"+destino);
			   H(discos-1,auxiliar,destino,origen);

		   }
	   }

}