/**
  * Persona.java
  * @author  Erick Santillan
  * @version  Abril 2010
  */

import java.util.Scanner;
import java.io.Serializable;
public  class Persona implements Serializable{
       private String nombre;
       private String apellido;
       private int edad;
       private String telefono;
       private boolean saludable;

    /** Cronstructor por omision
     *
     */
     public Persona(){
		     Scanner io = new Scanner(System.in);
	             System.out.println("Ingresar Nombre:");
	             nombre = io.next();
	             System.out.println("Ingresar Apellido:");
	             apellido = io.next();
	             System.out.println("Ingresar edad:");
	             edad = io.nextInt();
	             System.out.println("Ingresar Telefono:");
	             telefono = io.next();
	             System.out.println("Esta Saludable?:");
	             System.out.println("1.Si");
	             System.out.println("2.No");
	             int opcion = io.nextInt();
	             if(opcion==1)
	                 saludable= true;
	             if(opcion==2)
	                saludable = false;
	 }

    /** Metodo para determinar la probabilidad de supervivencia de la persona durante x anios
     *@param x - Anios a los que se quiere calcular la probabilidad
     *@return double - probabilidad de sobrevivir x anios
     */
	  public double ProbabilidadSupervivencia(int x){
	     double ledad= (.1)*Math.sqrt(100-edad);
	     double lx=(.1)*Math.sqrt(100-x);
	     double prob=lx/ledad;
	     return prob;
	  }

    /** Metodo para determinar la probabilidad de muerte durante el anio x
     *@param x - Anios a los que se quiere calcular la probabilidad
     *@return double - probabilidad de morir entre x y x+1 anios
     */
	  public double ProbabilidadMuerte(int x){
	     double lx1= (.1)*Math.sqrt(100-(edad+x+1));
	     double lx=(.1)*Math.sqrt(100-(edad+x));
	     double prob=lx1/lx;
	     prob=1-prob;
	     return prob;
	  }


      /**
       *
       *Metodos Obtener y Modificar
       *
       **/

    /** establecerNombre
     *@param nombre - nombre de la person
     */
	   public void establecerNombre(String nombre){
		   this.nombre=nombre;
	   }

    /** obtenerNombre
     *@return String - nombre de la persona
     */
	   public String obtenerNombre(){
		   return nombre;
	   }

    /** establecerApellido
     *@return String - apellido de la person
     */
	   public void establecerApellido(String apellido){
		   this.apellido=apellido;
	   }

    /** obtenerApellido
     *@param apellido - apellido de la person
     */
	   public String obtenerApellido(){
		   return apellido;
	   }

    /** establecerEdad
     *@param edad - edad de la person
     */
	   public void establecerEdad(int edad){
		   this.edad=edad;
	   }

    /** obtenerEdad
     *@return int - edad de la person
     */
	   public int obtenerEdad(){
		   return edad;
	   }

    /** establecerTelefono
     *@param telefono - telefono de la person
     */
	   public void establecerTelefono(String telefono){
		   this.telefono=telefono;
	   }

    /** obtenerTelefono
     *@return iString - telefono de la person
     */
	   public String obtenerTelefono(){
		   return telefono;
	   }

    /** establecerSaludable
     *@param saludable - indicador de salud
     */
	   public void establecerSaludable(boolean saludable){
		   this.saludable=saludable;
	   }
    /** obtenerSaludable
     *@return boolean -indicador de salud
     */
	   public boolean obtenerSaludable(){
		   return saludable;
	   }
}//Fin de la Clase