/**
  * Poliza.java
  * @author  Erick Santillan
  * @version  Abril 2010
  */
import java.util.Scanner;
import java.io.Serializable;


public  class Poliza implements Serializable{
	private Persona cliente;                       //objeto del tipo Persona
	private Prima prima;                           //objeto del tipo Prima
	private double sumaAsegurada;                  //cantidad Asegurada
	private int temporalidadSeguro;                //duracion del Seguro
	private int temporalidadPagos;                 //duracion de los pagos

    /** Cronstructor por omision
     *
     */
	public Poliza(){
	    System.out.println("Ingresar Datos del Asegurado:");
	    //El constructor de la Clase Persona Pide los datos del teclado
	     cliente = new Persona();

	     Scanner io = new Scanner(System.in);

	     //Pedir Suma Asegurada
	     System.out.println("Cual es el valor de la Suma Asegurada");
	     sumaAsegurada=io.nextDouble();   //Leer cantidad del teclado

	   do{
	      //Pedir temporalidad del seguro
	     System.out.println("Cual es la temporalidad del Seguro");
	     temporalidadSeguro=io.nextInt();

	      //Pedir temporalidad de los Pagos
	      System.out.println("Cual es la temporalidad de los pagos");
	     temporalidadPagos=io.nextInt();

	      if(temporalidadPagos > temporalidadSeguro){
	            //Mostrar mensaje de error ya que los pagos no deben durar mas tiempo
	         System.out.println("No se puede tener temporalidad mayor a cobertura");
	       }

	    }while(temporalidadPagos > temporalidadSeguro);

	       //Crea un nuevo Objeto Prima que realiza el calculo de Primas
	       prima= new Prima (cliente, temporalidadSeguro, temporalidadPagos, 0.055);

	}

    /** Metodo para Imprimir TODOS los datos de la Poliza
     *
     */
	public void   ImprimirPoliza(){
		  //Metodo para mostrar los datos de la Poliza
	      System.out.println("----------------------------------------------------------------");
	      System.out.println("----------------------------------------------------------------");
	      System.out.println("DATOS DE LA POLIZA");
	      System.out.println("----------------------------------------------------------------");
	      System.out.println("DATOS DEL ASEGURADO");
	      //Muestra los datos del objeto Persona
	      System.out.println("Nombre: "+ cliente.obtenerNombre());
	      System.out.println("Apellido: "+ cliente.obtenerApellido());
	     System.out.println("Edad: "+ cliente.obtenerEdad());
	      System.out.println("----------------------------------------------------------------");
	      //Muestra los datos particulares de la Poliza
	      System.out.println("DATOS DEL SEGURO");
	      System.out.println("Temporalidad: "+ temporalidadSeguro);
	      System.out.println("Pagos: "+ temporalidadPagos);
	      System.out.println("Suma Asegurada: "+ sumaAsegurada);
	      //Muestra los datos del objeto Prima
	      System.out.println("Prima de Riesgo: "+ (prima.obtenerPrimaRiesgo()*sumaAsegurada));
	      System.out.println("Prima Nivelada: "+ (prima.obtenerPrimaNivelada()*sumaAsegurada));
	     System.out.println("----------------------------------------------------------------");
	     System.out.println("----------------------------------------------------------------");
	}


    /** Metodo Principal
     *
     */
    public static void main(String[] args){
		//Mensaje de Bienvenida
        System.out.println("Bienvenido al Sistema de Polizas");
        System.out.println("Creando una nueva Poliza");
        //Crear Nuevo objeto Poliza, este metodo pregunta por los datos
        Poliza poliza1 = new Poliza();
        //Mostrar Opciones
        int respuesta=1;
        Scanner io = new Scanner(System.in);
        do{
               System.out.println("Que accion desea realizar");
               System.out.println("1.Mostrar Poliza Creada");
               System.out.println("2.Crear Nueva Poliza");
               System.out.println("3.SALIR");
               respuesta = io.nextInt();
               switch(respuesta){
                     case 1:
                           //Mostrar datos de la Poliza
                           poliza1.ImprimirPoliza();
                           break;
                     case 2:
                           //Crear Nueva Poliza
                           poliza1=new Poliza();
                           break;
                     case 3:
                           //Salir
                          System.out.println("ADIOS");
                          break;
                     default:
                          System.out.println("Opcion No valida");
                          break;
               }
        }while(respuesta!=3);
    }

    public Persona obtenerCliente(){
	   return cliente;

    }
}
