/**
  * CuotaAparte.java
  * @author  Erick Santillan
  * @version  Marzo 2010
  */

import java.util.Scanner;
public  class CuotaAparte extends Proporcional{

     /** Constructor con parametros
      *@param sas - Cantidad total que se asegura
      *@param ps - Prima total que se paga por cubrir el riesgo del seguro
      */
      public CuotaAparte(double sas, double ps){
		  super(sas,ps);
		  proporcion=calculoProporcion();
		  cantidadSiniestroReaseguro = calculoSiniestroReaseguro();
	      cantidadPrimaReaseguro = calcularPrimaReaseguro();
	  }

     /** Determina la proporcion tanto de la prima como del siniestro
      *@return double - proporcion
      */
      public double calculoProporcion(){
		  Scanner lectura = new Scanner(System.in);
		  double proporcion = 0;
		  do{
		  System.out.print("Cual es la proporcion especificada en el contrato de Reaseguro para este tipo de seguro?");
		  proporcion = lectura.nextDouble();
			  if(proporcion<0||proporcion>1)
			       System.out.print("Cantidad no adecuada");
		 }while(proporcion<0 || proporcion >1);
		  return proporcion;
	  }


}//Fin de la Clase