/**
  * PruebaBO.java
  * Clase de prueba de los algoritmos de busqueda y ordenamiento
  * @author  Erick Santillan
  * @version  Marzo 2010
  */

public class PruebaBO{

     /** Metodo Principal
      */
   public static void main(String[] pps)throws Exception{


       //Crear y mostrar un arreglo desordenado
       double[] lista ={1.8,4,8.2,9,4,5.6,7.1,2,4.5,3.9};

       System.out.println("Lista");
       for(int i =0;i<10;i++){
		   System.out.println(lista[i]);
	   }

       //Busqueda Lineal de un elemento
	   int posicion = BO.busquedaLineal(lista,5.6);
	   System.out.println("Busqueda Lineal, 5.6 se encuentra en posicion "+posicion);

       //Ordenacion por seleccion
       lista=BO.ordenamientoSeleccion(lista);
       System.out.println("Lista Seleccion");
       for(int i =0;i<10;i++){
		   System.out.println(lista[i]);
	   }

       //Creacion de una nueva lista y ordenada por medio de insercion
       double[] lista2= {1.8,4,8.2,9,4,5.6,7.1,2,4.5,3.9};
       lista2=BO.ordenamientoInsercion(lista2);
       System.out.println("Lista Insercion");
       for(int i =0;i<10;i++){
		   System.out.println(lista2[i]);
	   }

       //Busqueda Binaria
	   posicion = BO.busquedaBinaria(lista,5.6);
	   System.out.println("Busqueda Binaria, 5.6 se encuentra en posicion "+posicion);
 }

}//Fin de la Clase